<?php

 
# get correct id for plugin
$thisfile=basename(__FILE__, ".php");
 
# register plugin
register_plugin(
	$thisfile, //Plugin id
	'preloaders', 	//Plugin name
	'1.1', 		//Plugin version
	'Mateusz Skrzypczak',  //Plugin author
	'http://multicolor.stargard.pl', //author website
	'add great preloader animation to your website', //Plugin description
	'plugins', //page type - on which admin tab to display
	'preloader'  //main function (administration)
);
 
# activate filter 
add_action('theme-footer','preloaderscript'); 
add_action('theme-header','preloaderstyle'); 
add_action('content-top','preloaderstart'); 
 
# add a link in the admin tab 'theme'
add_action('plugins-sidebar','createSideMenu',array($thisfile,'Preloader settings'));
 
 function preloaderstyle(){
	 
	 echo'
	 <style>
	
	 #preload{
		 position:fixed;
		 top:0;
		 left:0;
		 height:100vh;
		 display:flex;
		 align-items:center;
		 justify-content:center;
		 width:100%;
background:#fff;
z-index:9999;

		 transition:all 250ms linear;
	 }
	 #preload img{
		 width:60px;
		 height:60px;
	 }
	 

	 
	 </style>
	 
	 '
	 ;
	 
	 
 };
 
 
 function preloaderstart(){
	 	 include('preloaders/preloaderstart.php');

	 
 }
 
# functions
function preloaderscript() {
	
	
	 $plugin_id = 'preloaders';
 
// Set up the folder name and its permissions
// Note the constant GSDATAOTHERPATH, which points to /path/to/getsimple/data/other/
$folder        = GSDATAOTHERPATH . '/' . $plugin_id . '/';
$jqueryon  = $folder . 'jqueryon.txt';

	
	echo '
	
	<script src="'.file_get_contents($jqueryon).'"></script>
<script>
$("html").addClass("js");

$(window).on("load", function (e){
  
          $("#preload").fadeOut();
   
});
</script>
	';
}
 
function preloader() {
	
	
	
	
 $plugin_id = 'preloaders';
 
// Set up the folder name and its permissions
// Note the constant GSDATAOTHERPATH, which points to /path/to/getsimple/data/other/
$folder        = GSDATAOTHERPATH . '/' . $plugin_id . '/';
$preloadernumber  = $folder . 'preloadernumber.txt';
$jqueryon  = $folder . 'jqueryon.txt';

$chmod_mode    = 0755;
$folder_exists = file_exists($folder) || mkdir($folder, $chmod_mode);


	
	
	echo '
	<p style="font-size:20px;font-weight:bold;"> You are now use Preloader '.file_get_contents($preloadernumber).'</p>
	
	<br>
	
	<p style="font-size:15px;">choose preloader for your website:<br></p>
	 <form  action="#" style="margin:0 auto; width:100%" method="POST">
	<select name="preloaderchoose">
		<option value="1">preloader 1 </option>
			<option value="2">preloader 2 </option>
		<option value="3">preloader 3 </option>
		<option value="4">preloader 4 </option>
		<option value="5">preloader 5 </option>
		<option value="6">preloader 6 </option>

	
	</select>
	<br>
	<br>
	<p>Turn off if you use own jquery file </p>
	
	<select name="jquery">
	<option value="https://code.jquery.com/jquery-3.4.0.min.js">
			  jquery on</option>
			  
			  <option value="jquery off"> Jquery Off</option>
	</select>
	<br>
		<input type="submit" name="submit" style="background:#000;color:#fff;padding:10px;margin-top:10px;border:solid 0 ;border-radius:10px;"
		value="save settings" />
<br>
</form>

<br><br>

<style>
.boxer{text-align:center;padding:10px;box-sizing:border-box;}
.boxer img{max-width:100%;height:auto}
@media(max-width:960px){
	.boxer{width:100%;}
}
</style>
	
	
	<div style="width:100%;display:flex;margin:0 auto;">
	<div class="boxer">
	<p><b>Preloader 1</b></p>
		<img src="../plugins/preloaders/img/1.svg">
		</div>
		
		<div  class="boxer">
	<p><b>Preloader 2</b></p>
		<img src="../plugins/preloaders/img/2.svg">
		</div>
			<div  class="boxer">
	<p><b>Preloader 3</b></p>
		<img src="../plugins/preloaders/img/3.svg">
		</div>
                                                                              
			<div  class="boxer">
	<p><b>Preloader 4</b></p>
		<img src="../plugins/preloaders/img/4.svg">
		</div>
		
			<div class="boxer">
	<p><b>Preloader 5</b></p>
		<img src="../plugins/preloaders/img/5.svg">
		</div>
		
	<div style="text-align:center;padding:10px;box-sizing:border-box;" class="boxer">
	<p><b>Preloader 6</b></p>
		<img src="../plugins/preloaders/img/6.svg">
		</div>
			</div>
		

		<div style="width:100%;text-align:center">
	
	Preloaders from <a href="http://freepreloaders.com/">freepreloaders.com</a> Plugin made by Mateusz Skrzypczak (multicolor)<br><br><br>
	You can change default preloaders, download own in svg format, and rename 1,2,3... or 6 and replace with default file on /plugins/preloaders/img/ folder
	</div>
	';
	
	if(isset($_POST['submit'])){
$preloadernr = $_POST['preloaderchoose'];
$jquery = $_POST['jquery'];
  file_put_contents($preloadernumber , $preloadernr);
  file_put_contents($jqueryon , $jquery);

}
}
?>